Trädvy Permalänk
Medlem
Plats
127.0.0.1
Registrerad
Mar 2004

enkel fråga om LINUX

Hej!
jag undrar om de finns en speciel varation av apache, php och my sql till linux!
för de jag använder mig utav är openSUSE 10.3, Jag är väldigt ny inom LINUX.
tex: När jag går in på apache hemsida så ser jag 2 st apache installation som man kan ladda ner till linux och en till windows och jag vet inte vilken man ska ladda ner!

Jag är väldigt tacksam för hjälp!

Datorn: |Intel i5 6600K 3,50GHz ||EVGA Geforce GTX 970||ASUS Z170-A||Corsair Vengeance LPX DDR4 2666MHz 16GB||Samsung EVO 840 256GB||Windows 10 Pro|
Datorn: HP Proliant Microserver Gen8

// TomteNisse

Trädvy Permalänk
Medlem
Plats
vid en dator nära mig
Registrerad
Dec 2005

Jag skulle rekommendera att du inte laddar ner den från deras sida utan från din pakethanterare istället.

Vet inte vilken OpenSUSE använder men det finns det säkert någon som kan svara på.

Trädvy Permalänk
Medlem
Plats
_
Registrerad
Jun 2004

http://en.opensuse.org/Package_Management/Tools kanske kan vara till nytta? är ingen höjdare på OpenSUSE heller tyvärr

Main: i5 4670K@4Ghz - 32GB - GTX 1080 - (250 + 120)GB SSD - Win10 + Debian
rMBP: 13" Retina, Haswell i5, 4GB , 128gb SSD -OSX
nMBP: 13", i5@2Ghz i5, 16GB, 512GB -OSX
NAS: HP Microserver, 8GB Ram, 4*2Tb@RAID-Z -FreeBSD

Trädvy Permalänk
Medlem
Plats
/bin/bash
Registrerad
Mar 2002

SuSe använder väl fortfarande yum vad jag vet, eller yast fast det är väl bara ett GUI till yum. så yum install <paket> lär ju fungera om du har repositories och sånt inställt fast det är väl rätt default skulle man kunna tro.

Cisco - Linux - VMWare
-- Citera mig om ni vill få återkoppling --

Trädvy Permalänk
Medlem
Plats
Stockholm
Registrerad
Nov 2003
Trädvy Permalänk
Medlem
Plats
local
Registrerad
Feb 2004

Använd Yast för att installera apache paketen, php och MySQL.

Trädvy Permalänk
Medlem
Plats
Umeå
Registrerad
Jan 2006

Det är i såna här lägen Debian och Ubuntu är så himla fina. Jag har alltid kört med apt-get och kan aldrig tänka mig kompilera för hand.

Gigabyte-P35-DS4 | Intel Core 2 Quad Q6600 [3 GHz] | 2x1GB Corsair XMS-6400@800Mhz | Nvidia Geforce 460 GTX [975/2000 MHz] | Intel 320 Series 80 GB SSD | | SETI@Home Team: Sweclockers.com

Trädvy Permalänk
Medlem
Plats
local
Registrerad
Feb 2004
Citat:

Ursprungligen inskrivet av Googlah
Det är i såna här lägen Debian och Ubuntu är så himla fina. Jag har alltid kört med apt-get och kan aldrig tänka mig kompilera för hand.

Du behöver ju inte kompilera i OpenSuse heller, pakethanterarna i de båda distributionerna har ungefär samma funktioner. Den stora skillnaden är att yum använder RPM paket och debian använder deb paket. Båda bygger på att man laddar hem färdig kompilerade paket och installerar.

Trädvy Permalänk
Medlem
Plats
Stockholm
Registrerad
Mar 2004

länge sen jag kört en dist som använde yum. Testa och kör.

testa

yum update

yum search apache
yum install "paket"

| i5 6500 | asus z170-k | asus 970 strix | 16gb ddr4 | asus mg279Q | FD Define r4

Trädvy Permalänk
Medlem
Plats
Karlstad
Registrerad
Sep 2005

Om du ändå väljer att ladda ned Apache från deras site, så är valet fritt bland de två alternativen. skillnaden är att de är packade på två olika sätt. när du väl fått hem paketet och packat upp det , så LÄS ALLTID MANUALEN. Ta det som vana att alltid läsa den innan du frågar på IRC, div. forum o.s.v, annars kommer du bli bombad med folk som skriker "RTFM!" åt dig

Mom! KDE and GNOME are fighting again! And Linus is taking KDE's side!
If you kids don't shut up, you're going to go to bed without your supper!

Trädvy Permalänk
Forumledare
Registrerad
Okt 2002
Citat:

Ursprungligen inskrivet av Googlah
...kan aldrig tänka mig kompilera för hand.

Ibland finns inte grejerna man vill ha i sin repository eller så vill man ha speciella flaggor eller CVS-versionen eller nåt, och då är det inte fel att åtminstone veta hur man gör. SÅ illa är det inte med ./configure, make, make install .

Nu med kortare användarnamn, men fortfarande bedövande långa inlägg.

Trädvy Permalänk
Medlem
Plats
?
Registrerad
Aug 2002

Shit, här var det mycket skitsnack! Vet ni inte vad ni talar om så säg inget! OpenSUSE använder sig absolut inte av yum...

Kör (som root):
zypper install apache2 php5 mysql

Jag är inte vegetarian för att jag älskar djur, jag är vegetarian för att jag hatar växter.

Trädvy Permalänk
Hedersmedlem
Plats
Märsta
Registrerad
Jan 2002

*tråd rensad*

Forumregler | Feedbackforumet | Något som behöver modereras? Tryck på Anmäl inlägget och ge en anledning, någon moderator kommer granska inlägget och göra (egen) bedömning
"Fate. Protects fools, little children and ships named Enterprise." - Riker - ST:TNG

Trädvy Permalänk
Medlem
Plats
Malmö
Registrerad
Jul 2001

Somsagt. installera via SuSe's pakethanterare, lättast så, YaST eller vad det kallas för.

Kompilera Apache och PHP är lite överkurs och inget för nybörjare, blir lätt fel och man missar en massa.